<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMENEditView9Base from './emenedit-view9-base.vue';

import view_form from '@widgets/emen/main2-form/main2-form.vue';

/**
 * 能源信息
 *
 * @export
 * @class EMENEditView9
 * @extends {EMENEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMENEditView9 extends EMENEditView9Base { }
</script>